Foxit PDF RDK

Public Member Functions | Static Public Attributes | List of all members
Rendition Class Reference
Inheritance diagram for Rendition:

## Public Member Functions
| AddMediaPlayer (type, player)
| Add a media player object for specified type. More...
| constructor (pdf_doc, rendition_dict)
| Constructor, with parameters. More...
| EnableAutoPlay (is_auto_play, opt_type)
| Set the flag to decide whether the media should automatically play when activated. More...
| EnableControlBarVisible (is_visible, opt_type)
| Set the control bar visibility flag. More...
| EnableFloatingWindowCloseButton (is_visible, opt_type)
| Set the flag to specify if the floating window should include user interface elements that allow a user to close a floating window. More...
| EnableFloatingWindowTitleBar (is_visible, opt_type)
| Set flag to specify if the floating window should have a title bar. More...
| GetBackgroundColor ()
| Get the background color for the rectangle in which the media is being played. More...
| GetBackgroundOpacity ()
| Get the background opacity. (ignored for full-screen and hidden windows) More...
| GetDict ()
| Get PDF dictionary of current object. More...
| GetDuration ()
| Get the intrinsic duration. More...
| GetFitStyle ()
| Get the fit style. More...
| GetFloatingWindowHeight ()
| Get the height of floating window, in pixels. More...
| GetFloatingWindowOffscreenEvent ()
| Get the event type which specifies what should occur if the floating window is positioned totally or partially offscreen (that is, not visible on any physical monitor). More...
| GetFloatingWindowPosition ()
| Get the position where floating window should be positioned to the related window. More...
| GetFloatingWindowRelatedWindowType ()
| Get the window relative type. More...
| GetFloatingWindowResizeType ()
| Get the resize type which specifies whether the floating window may be resized by a user. More...
| GetFloatingWindowTitles ()
| Get the multi-language text array which provides text to display on the floating window's title bar. More...
| GetFloatingWindowWidth ()
| Get the width of floating window, in pixels. More...
| GetMediaBaseURL ()
| Get the base URL. More...
| GetMediaClipContentType ()
| Get the content type (MIME type) of the media data. More...
| GetMediaClipFile ()
| Get the file specification of the actual media data. More...
| GetMediaClipName ()
| Get the name of the media clip, for use in user interface. More...
| GetMediaDescriptions ()
| Get the multi-language text array that provides alternate text descriptions for the media clip data in case it cannot be played. More...
| GetMediaPlayer (type, index)
| Get a media player object by index for specified type. More...
| GetMediaPlayerCount (type)
| Get the count of media player objects for specified type. More...
| GetMonitorSpecifier ()
| Get the monitor specifier type value. More...
| GetPermission ()
| Get the media permission. More...
| GetRenditionName ()
| Get the name. More...
| GetRepeatCount ()
| Get the repeat count, similar to SMIL's repeatCount attribute. More...
| GetVolume ()
| Get the volume that specifies the desired volume level as a percentage of recorded volume level. More...
| GetWindowType ()
| Get the type of window that the media should play in. More...
| HasFloatingWindowCloseButton ()
| Check if the floating window should include user interface elements that allow a user to close a floating window. More...
| HasFloatingWindowTitleBar ()
| Check if the floating window should have a title bar. More...
| HasMediaClip ()
| Check if current rendition object contains a media clip. More...
| IsAutoPlay ()
| Check whether the media should automatically play when activated. More...
| IsControlBarVisible ()
| Check whether to display a player-specific controller user interface (for example, play/pause/stop controls) when playing. More...
| RemoveMediaPlayer (type, player)
| Remove a media player object for specified type. More...
| SetBackgroundColor (color, opt_type)
| Set the background color for the rectangle in which the media is being played. More...
| SetBackgroundOpacity (opacity, opt_type)
| Set the background opacity. (ignored for full-screen and hidden windows) More...
| SetDuration (duration, opt_type)
| Set the intrinsic duration. More...
| SetFitStyle (fit_style, opt_type)
| Set the fit style. More...
| SetFloatingWindowOffscreenEvent (offscreen_event, opt_type)
| Set the event type which specifies what should occur if the floating window is positioned totally or partially offscreen (that is, not visible on any physical monitor). More...
| SetFloatingWindowPosition (position, opt_type)
| Set the position where floating window should be positioned to the related window. More...
| SetFloatingWindowRelatedWindowType (window_type, opt_type)
| Set the window relative type. More...
| SetFloatingWindowResizeType (resize_type, opt_type)
| Set the resize type which specifies whether the floating window may be resized by a user. More...
| SetFloatingWindowSize (width, height, opt_type)
| Set the size of floating window, in pixels. More...
| SetFloatingWindowTitles (titles, opt_type)
| Set the multi-language text array which provides text to display on the floating window's title bar. More...
| SetMediaBaseURL (base_url, opt_type)
| Set the base URL. More...
| SetMediaClipContentType (content_type)
| Set the content type (MIME type) of the media data. More...
| SetMediaClipFile (file_specification)
| Set the file specification of the actual media data. More...
| SetMediaClipName (name)
| Set the name of the media clip, for use in user interface. More...
| SetMediaDescriptions (description_array)
| Set the multi-language text array that provides alternate text descriptions for the media clip data in case it cannot be played. More...
| SetMonitorSpecifier (monitor_specifier, opt_type)
| Set the monitor specifier type value. More...
| SetPermission (permission)
| Set the media permission. More...
| SetRenditionName (name)
| Get the name. More...
| SetRepeatCount (count, opt_type)
| Set the repeat count, similar to SMIL's repeatCount attribute. More...
| SetVolume (volume, opt_type)
| Set the volume that specifies the desired volume level as a percentage of recorded volume level. More...
| SetWindowType (window_type, opt_type)
| Set the type of window that the media should play in. More...
Public Member Functions inherited from NativeObjectWrapper
| constructor (r)
| GetPointerAsNumber ()

## Static Public Attributes
static | e_FloatingWindowOffscreenEventMoveResize
| Move or resize.
static | e_FloatingWindowOffscreenEventNone
| Enumeration for offscreen event type of floating window. More...
static | e_FloatingWindowOffscreenEventNonViable
| Consider the object non-viable.
static | e_FloatingWindowRelatedWindowApplication
| The application window.
static | e_FloatingWindowRelatedWindowDocument
| Enumeration for the type of floating window's related window. More...
static | e_FloatingWindowRelatedWindowFullDesktop
| The full virtual desktop.
static | e_FloatingWindowRelatedWindowMonitor
| Depends on monitor specifier.
static | e_FloatingWindowResizeTypeAnyway
| May be resized without preserving aspect ratio.
static | e_FloatingWindowResizeTypeAspectRatio
| May be resized only if aspect ratio is preserved.
static | e_FloatingWindowResizeTypeNo
| Enumeration for resize type of floating window. More...
static | e_MediaOptionBestEffort
| Options defined in this type need only be honored in a "best effort" sense.
static | e_MediaOptionMustBeHonored
| Enumeration for media option type. More...
static | e_MediaPermTempAccess
| Allowed only if the document permissions allow content extraction, including for accessibility purposes.
static | e_MediaPermTempAlways
| Always allowed.
static | e_MediaPermTempExtract
| Allowed only if the document permissions allow content extraction.
static | e_MediaPermTempNever
| Enumeration for PDF media player permission. More...
static | e_MediaPlayerAvailable
| Any of players in this type may be used in playing the associated media clip.
static | e_MediaPlayerFitStyleDefault
| Use the player's default setting (author has no preference).
static | e_MediaPlayerFitStyleFill
| The media's width and height are scaled independently so that the media and play rectangles are the same; the aspect ratio is not necessarily preserved. Same as "fill" value of SMIL's fit attribute.
static | e_MediaPlayerFitStyleHidden
| The media is not scaled. Only the portions of the media rectangle that intersect the play rectangle are displayed. Same as "hidden" value of SMIL's fit attribute.
static | e_MediaPlayerFitStyleMeet
| Enumeration for the fit style. More...
static | e_MediaPlayerFitStyleScroll
| The media is not scaled. A scrolling user interface is provided if the media rectangle is wider or taller than the play rectangle. Same as "scroll" value of SMIL's fit attribute.
static | e_MediaPlayerFitStyleSlice
| The media's width and height are scaled while preserving the aspect ratio so that the play rectangle is entirely filled, and the amount of media content that does not fit within the play rectangle is minimized. Same as "slice" value of SMIL's fit attribute.
static | e_MediaPlayerMustUsed
| Enumeration for PDF media player classified type. More...
static | e_MediaPlayerNotUsed
| Players in this type must not be used in playing the associated media clip.
static | e_MonitorSpecifierGreatestArea
| Monitor with the greatest area (in pixels squared)
static | e_MonitorSpecifierGreatestColorDepth
| Monitor with the greatest color depth.
static | e_MonitorSpecifierGreatestHeight
| Monitor with the greatest height (in pixels)
static | e_MonitorSpecifierGreatestWidth
| Monitor with the greatest width (in pixels)
static | e_MonitorSpecifierLargest
| Enumeration for monitor specifier type. More...
static | e_MonitorSpecifierPrimary
| Primary monitor. If no monitor is considered primary, use case 0.
static | e_MonitorSpecifierSmallest
| The monitor that contains the smallest section of the document window.
static | e_WindowTypeAnnotRect
| Window type: the rectangle occupied by the screen annotation which is associated with the rendition object.
static | e_WindowTypeFloating
| Enumeration for the type of window that the media should play in. More...
static | e_WindowTypeFullScreen
| Window type: a full-screen window that obscures all other windows.
static | e_WindowTypeHidden
| Window type: a hidden window.

## Detailed Description

Rendition object is used as a media object that specifies what to play, how to play it and where to play it. (For more details, please refer to <PDF Reference 1.7> P758 Section "9.1.2 Renditions", P762 "Media Renditions")

Examples
  /Users/ec2-user/gitlab-runner/builds/E-xKdhDo/0/foxit/sdk/mobile/gsdk-doc-auto-build/harmony_nodejs/input/Index.js.

## Member Function Documentation

## ◆ AddMediaPlayer()

Rendition.AddMediaPlayer | ( | type | ,
|  | player |
| ) |  |

Add a media player object for specified type.

Usually, a media player object should be only be added to a rendition object with specified media player type. User is not recommended to add the same media player object to different renditions or different media player types of one rendition; otherwise unexpected issues (such as crash) may occur later. If user does not want to construct another media player and set same values, user can clone the dictionary of original media player object and use the cloned dictionary to construct another media player directly.

Parameters

  [in] | type | Media player type. Please refer to values starting from Rendition.e_MediaPlayerMustUsed and this should be one of these values.
  [in] | player | A media player object to be added for specified type. If the media player has existed for specified type, this function will return the index of the media player.

Returns
  Index of the input media player.

## ◆ constructor()

Rendition.constructor | ( | pdf_doc | ,
|  | rendition_dict |
| ) |  |

Constructor, with parameters.

Parameters

  [in] | pdf_doc | A valid PDF document object.
  [in] | rendition_dict | The PDF dictionary for a rendition object in PDF document represented by parameter pdf_doc. If this is null that means to construct a new rendition object in PDF document represented by parameter pdf_obj. Default value: null.

## ◆ EnableAutoPlay()

Rendition.EnableAutoPlay | ( | is_auto_play | ,
|  | opt_type |
| ) |  |

Set the flag to decide whether the media should automatically play when activated.

Parameters

  [in] | is_auto_play | true means the media should automatically play when activated, while false means the media should be initially paused when activated (for example, the first frame is displayed). Relevant only for media that may be paused.
  [in] | opt_type | Media option type. Please refer to values starting from Rendition.e_MediaOptionMustBeHonored and this should be one of these values. Default value: Rendition.e_MediaOptionBestEffort.

Returns
  None.

## ◆ EnableControlBarVisible()

Rendition.EnableControlBarVisible | ( | is_visible | ,
|  | opt_type |
| ) |  |

Set the control bar visibility flag.

Control bar visibility flag is used to decide whether to display a player-specific controller user interface (for example, play/pause/stop controls) when playing.

Parameters

  [in] | is_visible | true means to display a player-specific controller user interface, while false means not to display such user interface.
  [in] | opt_type | Media option type. Please refer to values starting from Rendition.e_MediaOptionMustBeHonored and this should be one of these values. Default value: Rendition.e_MediaOptionBestEffort.

Returns
  None.

## ◆ EnableFloatingWindowCloseButton()

Rendition.EnableFloatingWindowCloseButton | ( | is_visible | ,
|  | opt_type |
| ) |  |

Set the flag to specify if the floating window should include user interface elements that allow a user to close a floating window.

This property is only useful when the windows type is Rendition.e_WindowTypeFloating.

Parameters

  [in] | is_visible | true means the floating window should include user interface elements that allow a user to close a floating window, while false means the floating window does not need to include such user interface element.
  [in] | opt_type | Media option type. Please refer to values starting from Rendition.e_MediaOptionMustBeHonored and this should be one of these values. Default value: Rendition.e_MediaOptionBestEffort.

Returns
  None.

## ◆ EnableFloatingWindowTitleBar()

Rendition.EnableFloatingWindowTitleBar | ( | is_visible | ,
|  | opt_type |
| ) |  |

Set flag to specify if the floating window should have a title bar.

This property is only useful when the windows type is Rendition.e_WindowTypeFloating.

Parameters

  [in] | is_visible | true means the floating window should have a title bar, while false means the floating window does not need to have a title bar.
  [in] | opt_type | Media option type. Please refer to values starting from Rendition.e_MediaOptionMustBeHonored and this should be one of these values. Default value: Rendition.e_MediaOptionBestEffort.

Returns
  None.

## ◆ GetBackgroundColor()

Rendition.GetBackgroundColor | ( |  | ) |

Get the background color for the rectangle in which the media is being played.

Returns
  Background color. Format: 0xRRGGBB. The returned value 0xFFFFFF may also mean that no value for such property is defined in the rendition object.

## ◆ GetBackgroundOpacity()

Rendition.GetBackgroundOpacity | ( |  | ) |

Get the background opacity. (ignored for full-screen and hidden windows)

Returns
  Background opacity. Valid range: 0.0 to 1.0. 0.0 means full transparency and 1.0 means full opaque. If no value for such property is defined in the rendition object, 1.0 would be returned by default.

## ◆ GetDict()

Rendition.GetDict | ( |  | ) |

Get PDF dictionary of current object.

Returns
  The PDF dictionary. If there is any error, this function will return null.

## ◆ GetDuration()

Rendition.GetDuration | ( |  | ) |

Get the intrinsic duration.

Returns
  Intrinsic duration value. It would be:
  - -2: use intrinsic duration;
  - -1: infinity duration;
  - >= 0: explicit duration.
  If no value for such property is defined in the rendition object, -2 would be returned by default.

## ◆ GetFitStyle()

Rendition.GetFitStyle | ( |  | ) |

Get the fit style.

Fit style (manner) specifies how the player should treat a visual media type that does not exactly fit the rectangle in which it plays.

Returns
  Fit style value. Please refer to values starting from Rendition.e_MediaPlayerFitStyleMeet and this would be one of these values. If no value for such property is defined in the rendition object, Rendition.e_MediaPlayerFitStyleDefault would be returned by default.

## ◆ GetFloatingWindowHeight()

Rendition.GetFloatingWindowHeight | ( |  | ) |

Get the height of floating window, in pixels.

This property is necessary when the windows type is Rendition.e_WindowTypeFloating.

Returns
  Height of floating window, in pixels.

## ◆ GetFloatingWindowOffscreenEvent()

Rendition.GetFloatingWindowOffscreenEvent | ( |  | ) |

Get the event type which specifies what should occur if the floating window is positioned totally or partially offscreen (that is, not visible on any physical monitor).

This property is only useful when the windows type is Rendition.e_WindowTypeFloating.

Returns
  Event type for offscreen situation of floating window. Please refer to values starting from Rendition.e_FloatingWindowOffscreenEventNone and this would be one of these values. If no value for such property is defined in the rendition object, Rendition.e_FloatingWindowOffscreenEventMoveResize would be returned by default.

## ◆ GetFloatingWindowPosition()

Rendition.GetFloatingWindowPosition | ( |  | ) |

Get the position where floating window should be positioned to the related window.

This property is only useful when the windows type is Rendition.e_WindowTypeFloating.
Window relative specifies the place to which the floating window should be positioned.

Returns
  Position value. Please refer to values starting from e_PosTopLeft and this would be one of these values. If no value for such property is defined in the rendition object, e_PosCenter would be returned by default.

## ◆ GetFloatingWindowRelatedWindowType()

Rendition.GetFloatingWindowRelatedWindowType | ( |  | ) |

Get the window relative type.

This property is only useful when the windows type is Rendition.e_WindowTypeFloating.
Related window type specifies the place to which the floating window should be positioned.

Returns
  Related window type. Please refer to values starting from Rendition.e_FloatingWindowRelatedWindowDocument and this would be one of these values. this would be one of these values. If no value for such property is defined in the rendition object, Rendition.e_FloatingWindowRelatedWindowDocument would be returned by default.

## ◆ GetFloatingWindowResizeType()

Rendition.GetFloatingWindowResizeType | ( |  | ) |

Get the resize type which specifies whether the floating window may be resized by a user.

This property is only useful when the windows type is Rendition.e_WindowTypeFloating.

Returns
  Resize type. Please refer to values starting from Rendition.e_FloatingWindowResizeTypeNo and this would be one of these values. If no value for such property is defined in the rendition object, Rendition.e_FloatingWindowResizeTypeNo would be returned by default.

## ◆ GetFloatingWindowTitles()

Rendition.GetFloatingWindowTitles | ( |  | ) |

Get the multi-language text array which provides text to display on the floating window's title bar.

This property is only useful when the windows type is Rendition.e_WindowTypeFloating.
Strings in the multi-language text array are in pair: the first string (ASCII string) in each pair is language identifier and the second string is the caption.

Returns
  A string array that represents multi-language text array.

## ◆ GetFloatingWindowWidth()

Rendition.GetFloatingWindowWidth | ( |  | ) |

Get the width of floating window, in pixels.

This property is necessary when the windows type is Rendition.e_WindowTypeFloating.

Returns
  Width of floating window, in pixels.

## ◆ GetMediaBaseURL()

Rendition.GetMediaBaseURL | ( |  | ) |

Get the base URL.

Base URL is an absolute URL which is used in resolving any relative URLs found within the media data.

Returns
  The base URL.

## ◆ GetMediaClipContentType()

Rendition.GetMediaClipContentType | ( |  | ) |

Get the content type (MIME type) of the media data.

Content type specifies the type of the media data represented by file specification. The content type string should conform to the content type specification described in Internet RFC 2045, Multipurpose Internet Mail Extensions (MIME) Part One: Format of Internet Message Bodies.

Returns
  Content type (MIME type).

## ◆ GetMediaClipFile()

Rendition.GetMediaClipFile | ( |  | ) |

Get the file specification of the actual media data.

Returns
  A file specification object.

## ◆ GetMediaClipName()

Rendition.GetMediaClipName | ( |  | ) |

Get the name of the media clip, for use in user interface.

Returns
  Name of the media clip.

## ◆ GetMediaDescriptions()

Rendition.GetMediaDescriptions | ( |  | ) |

Get the multi-language text array that provides alternate text descriptions for the media clip data in case it cannot be played.

Strings in the multi-language text array are in pair: the first string (ASCII string) in each pair is language identifier and the second string is the description.

Returns
  The multi-language text array for description.

## ◆ GetMediaPlayer()

Rendition.GetMediaPlayer | ( | type | ,
|  | index |
| ) |  |

Get a media player object by index for specified type.

Parameters

  [in] | type | Media player type. Please refer to values starting from Rendition.e_MediaPlayerMustUsed and this should be one of these values.
  [in] | index | Index of the media player object to be retrieved. Valid range: from 0 to (count-1). count is returned by function Rendition.GetMediaPlayerCount.

Returns
  A media player object.

## ◆ GetMediaPlayerCount()

Rendition.GetMediaPlayerCount | ( | type |  | ) |

Get the count of media player objects for specified type.

Parameters

  [in] | type | Media player type. Please refer to values starting from Rendition.e_MediaPlayerMustUsed and this should be one of these values.

Returns
  The count of media player objects for specified type.

## ◆ GetMonitorSpecifier()

Rendition.GetMonitorSpecifier | ( |  | ) |

Get the monitor specifier type value.

Monitor specifier is used to specify which monitor in a multi-monitor system a floating or full-screen window should appear on.

Returns
  Monitor specifier type value. Please refer to values starting from Rendition.e_MonitorSpecifierLargest and this would be one of these values. If no value for such property is defined in the rendition object, Rendition.e_MonitorSpecifierLargest would be returned by default.

## ◆ GetPermission()

Rendition.GetPermission | ( |  | ) |

Get the media permission.

Media permission indicates the circumstances under which it is acceptable to write a temporary file in order to play a media clip.

Returns
  Media permission value. Please refer to values starting from Rendition.e_MediaPermTempNever and this would be one of these values.

## ◆ GetRenditionName()

Rendition.GetRenditionName | ( |  | ) |

Get the name.

This name can be used for name tree lookup by JavaSript actions and can also be used in user interface.

Returns
  Name of current rendition object.

## ◆ GetRepeatCount()

Rendition.GetRepeatCount | ( |  | ) |

Get the repeat count, similar to SMIL's repeatCount attribute.

Returns
  The repeat count.0 means repeat forever. If no value for such property is defined in the rendition object, 1 would be returned by default.

## ◆ GetVolume()

Rendition.GetVolume | ( |  | ) |

Get the volume that specifies the desired volume level as a percentage of recorded volume level.

Returns
  Volume value. 0 means mute.If no value for such property is defined in the rendition object, 100 would be returned by default.

## ◆ GetWindowType()

Rendition.GetWindowType | ( |  | ) |

Get the type of window that the media should play in.

Returns
  Windows type value. Please refer to Rendition.e_WindowTypeFloating values and it would be one of these values. If no value for such property is defined in the rendition object, Rendition.e_WindowTypeAnnotRect would be returned by default.

## ◆ HasFloatingWindowCloseButton()

Rendition.HasFloatingWindowCloseButton | ( |  | ) |

Check if the floating window should include user interface elements that allow a user to close a floating window.

This property is only useful when the windows type is Rendition.e_WindowTypeFloating.

Returns
  true means the floating window should include user interface elements that allow a user to close a floating window, while false means the floating window does not need to include such user interface element. If no value for such property is defined in the rendition object, true would be returned by default.

## ◆ HasFloatingWindowTitleBar()

Rendition.HasFloatingWindowTitleBar | ( |  | ) |

Check if the floating window should have a title bar.

This property is only useful when the windows type is Rendition.e_WindowTypeFloating.

Returns
  true means the floating window should have a title bar, while false means the floating window does not need to have a title bar. If no value for such property is defined in the rendition object, true would be returned by default.

## ◆ HasMediaClip()

Rendition.HasMediaClip | ( |  | ) |

Check if current rendition object contains a media clip.

Returns
  true means current rendition object contains a media clip, while false means current rendition object does not contain any media clip.

## ◆ IsAutoPlay()

Rendition.IsAutoPlay | ( |  | ) |

Check whether the media should automatically play when activated.

Returns
  true means the media should automatically play when activated, while false means the media should be initially paused when activated (for example, the first frame is displayed). Relevant only for media that may be paused. If no value for such property is defined in the rendition object, true would be returned by default.

## ◆ IsControlBarVisible()

Rendition.IsControlBarVisible | ( |  | ) |

Check whether to display a player-specific controller user interface (for example, play/pause/stop controls) when playing.

Returns
  true means to display a player-specific controller user interface, while false means not to display such user interface. If no value for such property is defined in the rendition object, false would be returned by default.

## ◆ RemoveMediaPlayer()

Rendition.RemoveMediaPlayer | ( | type | ,
|  | player |
| ) |  |

Remove a media player object for specified type.

Parameters

  [in] | type | Media player type. Please refer to values starting from Rendition.e_MediaPlayerMustUsed and this should be one of these values.
  [in] | player | A media player object to be removed.

Returns
  None.

## ◆ SetBackgroundColor()

Rendition.SetBackgroundColor | ( | color | ,
|  | opt_type |
| ) |  |

Set the background color for the rectangle in which the media is being played.

Parameters

  [in] | color | Background color to set. Format: 0xRRGGBB.
  [in] | opt_type | Media option type. Please refer to values starting from Rendition.e_MediaOptionMustBeHonored and this should be one of these values. Default value: Rendition.e_MediaOptionBestEffort.

Returns
  None.

## ◆ SetBackgroundOpacity()

Rendition.SetBackgroundOpacity | ( | opacity | ,
|  | opt_type |
| ) |  |

Set the background opacity. (ignored for full-screen and hidden windows)

Parameters

  [in] | opacity | Background opacity. Valid range: 0.0 to 1.0. 0.0 means full transparency and 1.0 means full opaque.
  [in] | opt_type | Media option type. Please refer to values starting from Rendition.e_MediaOptionMustBeHonored and this should be one of these values. Default value: Rendition.e_MediaOptionBestEffort.

Returns
  None.

## ◆ SetDuration()

Rendition.SetDuration | ( | duration | ,
|  | opt_type |
| ) |  |

Set the intrinsic duration.

Parameters

  [in] | duration | Intrinsic duration value to set. It should be: -2: use intrinsic duration; -1: infinity duration; >= 0: explicit duration.
  [in] | opt_type | Media option type. Please refer to values starting from Rendition.e_MediaOptionMustBeHonored and this should be one of these values. Default value: Rendition.e_MediaOptionBestEffort.

Returns
  None.

## ◆ SetFitStyle()

Rendition.SetFitStyle | ( | fit_style | ,
|  | opt_type |
| ) |  |

Set the fit style.

Fit style (manner) specifies how the player should treat a visual media type that does not exactly fit the rectangle in which it plays.

Parameters

  [in] | fit_style | Fit style value. Please refer to values starting from Rendition.e_MediaPlayerFitStyleMeet and this should be one of these values.
  [in] | opt_type | Media option type. Please refer to values starting from Rendition.e_MediaOptionMustBeHonored and this should be one of these values. Default value: Rendition.e_MediaOptionBestEffort.

Returns
  None.

## ◆ SetFloatingWindowOffscreenEvent()

Rendition.SetFloatingWindowOffscreenEvent | ( | offscreen_event | ,
|  | opt_type |
| ) |  |

Set the event type which specifies what should occur if the floating window is positioned totally or partially offscreen (that is, not visible on any physical monitor).

This property is only useful when the windows type is Rendition.e_WindowTypeFloating.

Parameters

  [in] | offscreen_event | Event type for offscreen situation of floating window. Please refer to values starting from Rendition.e_FloatingWindowOffscreenEventNone and this should be one of these values.
  [in] | opt_type | Media option type. Please refer to values starting from Rendition.e_MediaOptionMustBeHonored and this should be one of these values. Default value: Rendition.e_MediaOptionBestEffort.

Returns
  None.

## ◆ SetFloatingWindowPosition()

Rendition.SetFloatingWindowPosition | ( | position | ,
|  | opt_type |
| ) |  |

Set the position where floating window should be positioned to the related window.

This property is only useful when the windows type is Rendition.e_WindowTypeFloating.
Window relative specifies the place to which the floating window should be positioned.

Parameters

  [in] | position | Window relative type. Please refer to values starting from Rendition.e_FloatingWindowRelatedWindowDocument and this should be one of these values.
  [in] | opt_type | Media option type. Please refer to values starting from Rendition.e_MediaOptionMustBeHonored and this should be one of these values. Default value: Rendition.e_MediaOptionBestEffort.

Returns
  None.

## ◆ SetFloatingWindowRelatedWindowType()

Rendition.SetFloatingWindowRelatedWindowType | ( | window_type | ,
|  | opt_type |
| ) |  |

Set the window relative type.

This property is only useful when the windows type is Rendition.e_WindowTypeFloating.
Related window type specifies the place to which the floating window should be positioned.

Parameters

  [in] | window_type | Related window type. Please refer to values starting from Rendition.e_FloatingWindowRelatedWindowDocument and this should be one of these values.
  [in] | opt_type | Media option type. Please refer to values starting from Rendition.e_MediaOptionMustBeHonored and this should be one of these values. Default value: Rendition.e_MediaOptionBestEffort.

Returns
  None.

## ◆ SetFloatingWindowResizeType()

Rendition.SetFloatingWindowResizeType | ( | resize_type | ,
|  | opt_type |
| ) |  |

Set the resize type which specifies whether the floating window may be resized by a user.

This property is only useful when the windows type is Rendition.e_WindowTypeFloating.

Parameters

  [in] | resize_type | Resize type. Please refer to values starting from Rendition.e_FloatingWindowResizeTypeNo and this should be one of these values.
  [in] | opt_type | Media option type. Please refer to values starting from Rendition.e_MediaOptionMustBeHonored and this should be one of these values. Default value: Rendition.e_MediaOptionBestEffort.

Returns
  None.

## ◆ SetFloatingWindowSize()

Rendition.SetFloatingWindowSize | ( | width | ,
|  | height | ,
|  | opt_type |
| ) |  |

Set the size of floating window, in pixels.

This property is necessary when the windows type is Rendition.e_WindowTypeFloating.

Parameters

  [in] | width | Width of floating window, in pixels. This value should be larger than 0.
  [in] | height | Height of floating window, in pixels. This value should be larger than 0.
  [in] | opt_type | Media option type. Please refer to values starting from Rendition.e_MediaOptionMustBeHonored and this should be one of these values. Default value: Rendition.e_MediaOptionBestEffort.

Returns
  None.

## ◆ SetFloatingWindowTitles()

Rendition.SetFloatingWindowTitles | ( | titles | ,
|  | opt_type |
| ) |  |

Set the multi-language text array which provides text to display on the floating window's title bar.

This property is only useful when the windows type is Rendition.e_WindowTypeFloating.
Strings in the multi-language text array are in pair: the first string (ASCII string) in each pair is language identifier and the second string is the caption.

Parameters

  [in] | titles | A string array that represents multi-language text array.
  [in] | opt_type | Media option type. Please refer to values starting from Rendition.e_MediaOptionMustBeHonored and this should be one of these values. Default value: Rendition.e_MediaOptionBestEffort.

Returns
  None.

## ◆ SetMediaBaseURL()

Rendition.SetMediaBaseURL | ( | base_url | ,
|  | opt_type |
| ) |  |

Set the base URL.

Base URL is an absolute URL which is used in resolving any relative URLs found within the media data.

Parameters

  [in] | base_url | The base URL to set.
  [in] | opt_type | Media option type. Please refer to values starting from Rendition.e_MediaOptionMustBeHonored and this should be one of these values. Default value: Rendition.e_MediaOptionBestEffort.

Returns
  None.

## ◆ SetMediaClipContentType()

Rendition.SetMediaClipContentType | ( | content_type |  | ) |

Set the content type (MIME type) of the media data.

Content type specifies the type of the media data represented by file specification. The content type string should conform to the content type specification described in Internet RFC 2045, Multipurpose Internet Mail Extensions (MIME) Part One: Format of Internet Message Bodies.
User is recommended to set the content type when setting a new file specification by function Rendition.SetMediaClipFile.

Parameters

  [in] | content_type | Content type (MIME type).

Returns
  None.

## ◆ SetMediaClipFile()

Rendition.SetMediaClipFile | ( | file_specification |  | ) |

Set the file specification of the actual media data.

This property is necessary for a rendition object. And user is recommended to set the content type by function Rendition.SetMediaClipContentType after setting a new file specification.

Parameters

  [in] | file_specification | A file specification object.

Returns
  None.

## ◆ SetMediaClipName()

Rendition.SetMediaClipName | ( | name |  | ) |

Set the name of the media clip, for use in user interface.

Parameters

  [in] | name | Name string to be set for the media clip.

Returns
  None.

## ◆ SetMediaDescriptions()

Rendition.SetMediaDescriptions | ( | description_array |  | ) |

Set the multi-language text array that provides alternate text descriptions for the media clip data in case it cannot be played.

Strings in the multi-language text array are in pair: the first string (ASCII string) in each pair is language identifier and the second string is the description.

Parameters

  [in] | description_array | A multi-language text array for description.

Returns
  None.

## ◆ SetMonitorSpecifier()

Rendition.SetMonitorSpecifier | ( | monitor_specifier | ,
|  | opt_type |
| ) |  |

Set the monitor specifier type value.

Monitor specifier is used to specify which monitor in a multi-monitor system a floating or full-screen window should appear on.

Parameters

  [in] | monitor_specifier | Monitor specifier type value. Please refer to values starting from Rendition.e_MonitorSpecifierLargest and this should be one of these values.
  [in] | opt_type | Media option type. Please refer to values starting from Rendition.e_MediaOptionMustBeHonored and this should be one of these values. Default value: Rendition.e_MediaOptionBestEffort.

Returns
  None.

## ◆ SetPermission()

Rendition.SetPermission | ( | permission |  | ) |

Set the media permission.

Media permission indicates the circumstances under which it is acceptable to write a temporary file in order to play a media clip.

Parameters

  [in] | permission | Media permission value. Please refer to values starting from Rendition.e_MediaPermTempNever and this should be one of these values.

Returns
  None.

## ◆ SetRenditionName()

Rendition.SetRenditionName | ( | name |  | ) |

Get the name.

This name can be used for name tree lookup by JavaSript actions and can also be used in user interface.

Parameters

  [in] | name | Name of current rendition object.

Returns
  None.

## ◆ SetRepeatCount()

Rendition.SetRepeatCount | ( | count | ,
|  | opt_type |
| ) |  |

Set the repeat count, similar to SMIL's repeatCount attribute.

Parameters

  [in] | count | The repeat count to be set. 0 means repeat forever. This value should not be negative value.
  [in] | opt_type | Media option type. Please refer to values starting from Rendition.e_MediaOptionMustBeHonored and this should be one of these values. Default value: Rendition.e_MediaOptionBestEffort.

Returns
  None.

## ◆ SetVolume()

Rendition.SetVolume | ( | volume | ,
|  | opt_type |
| ) |  |

Set the volume that specifies the desired volume level as a percentage of recorded volume level.

Parameters

  [in] | volume | Volume value to set. 0 means mute. This value should not be negative.
  [in] | opt_type | Media option type. Please refer to values starting from Rendition.e_MediaOptionMustBeHonored and this should be one of these values. Default value: Rendition.e_MediaOptionBestEffort.

Returns
  None.

## ◆ SetWindowType()

Rendition.SetWindowType | ( | window_type | ,
|  | opt_type |
| ) |  |

Set the type of window that the media should play in.

Parameters

  [in] | window_type | Windows type value. Please refer to values starting from Rendition.e_WindowTypeFloating and this should be one of these values.
  [in] | opt_type | Media option type. Please refer to values starting from Rendition.e_MediaOptionMustBeHonored and this should be one of these values. Default value: Rendition.e_MediaOptionBestEffort.

Returns
  None.

## Member Data Documentation

## ◆ e_FloatingWindowOffscreenEventNone

Rendition.e_FloatingWindowOffscreenEventNone
| static

Enumeration for offscreen event type of floating window.

Values of this enumeration should be used alone.
Offscreen event type is used to specifies what should occur if the floating window is positioned totally or partially offscreen (that is, not visible on any physical monitor).

Nothing

## ◆ e_FloatingWindowRelatedWindowDocument

Rendition.e_FloatingWindowRelatedWindowDocument
| static

Enumeration for the type of floating window's related window.

Values of this enumeration should be used alone.
Related window type specifies the place to which the floating window should be positioned.

The document window

## ◆ e_FloatingWindowResizeTypeNo

Rendition.e_FloatingWindowResizeTypeNo
| static

Enumeration for resize type of floating window.

Values of this enumeration should be used alone.

May not be resized

## ◆ e_MediaOptionMustBeHonored

Rendition.e_MediaOptionMustBeHonored
| static

Enumeration for media option type.

Values of this enumeration should be used alone.
Please refer to <PDF reference 1.7> P757 Section "9.1.1 Viability" for more details.

Options defined in this type must be honored for rendition object to be considered viable.

## ◆ e_MediaPermTempNever

Rendition.e_MediaPermTempNever
| static

Enumeration for PDF media player permission.

Values of this enumeration should be used alone.
Media permission indicates the circumstances under which it is acceptable to write a temporary file in order to play a media clip.

Never allowed.

## ◆ e_MediaPlayerFitStyleMeet

Rendition.e_MediaPlayerFitStyleMeet
| static

Enumeration for the fit style.

Values of this enumeration should be used alone.
Fit style (manner) specifies how the player should treat a visual media type that does not exactly fit the rectangle in which it plays.

The media's width and height are scaled while preserving the aspect ratio so that the media and play rectangles have the greatest possible intersection while still displaying all media content. Same as "meet" value of SMIL's fit attribute.

## ◆ e_MediaPlayerMustUsed

Rendition.e_MediaPlayerMustUsed
| static

Enumeration for PDF media player classified type.

Values of this enumeration should be used alone.

One of players in this type must be used in playing the associated media clip.

## ◆ e_MonitorSpecifierLargest

Rendition.e_MonitorSpecifierLargest
| static

Enumeration for monitor specifier type.

Values of this enumeration should be used alone.
Monitor specifier is used to specify which monitor in a multi-monitor system a floating or full-screen window should appear on.

The monitor that contains the largest section of the document window

## ◆ e_WindowTypeFloating

Rendition.e_WindowTypeFloating
| static

Enumeration for the type of window that the media should play in.

Values of this enumeration should be used alone.

Window type: a floating window